
export interface ICategory {
  id: number
  name: string
  adminId: number
}

export interface IUser {
  id: number
  nickname: string
  phone: string
  role: string
  phoneHidden: string
  createdAt: string
}

export interface IProdInfo {
  id?: number
  name: string
  desc: string
  price: number
  deliverPrice: number
  stockAmount: number
  // soldAmount: number
  cover: string[]
  kind: "" | "自营" | "第三方链接"
  platform: "" | "全部" | "商城" | "直播间"
  link: string
  needAddr: boolean
  goodsTypeList: number[]
  adminId: number
  title: string
}

export type IPage = Record<"total" | "currentPage" | "pageSize", number>
interface IPageData<T> {
  // 后端返回的格式不统一，这个用不了
  total: number
  items: T[]
}